For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
API Reference

Generate with Ideogram 4.0

POST
https://api.ideogram.ai/v1/ideogram-v4/generate
POST
/v1/ideogram-v4/generate
$curl -X POST https://api.ideogram.ai/v1/ideogram-v4/generate \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F text_prompt="A photo of a cat"
1{
2 "created": "2000-01-23 04:56:07+00:00",
3 "data": [
4 {
5 "prompt": "prompt",
6 "resolution": "2048x2048",
7 "is_image_safe": true,
8 "seed": 12345,
9 "url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89"
10 },
11 {
12 "prompt": "prompt",
13 "resolution": "2048x2048",
14 "is_image_safe": true,
15 "seed": 12345,
16 "url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89"
17 }
18 ],
19 "response_type": "url"
20}

Generates images synchronously using the Ideogram 4.0 model.

Images links are available for a limited period of time; if you would like to keep the image, you must download it.

Was this page helpful?
Previous

Remix with Ideogram 4.0

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

A request to generate an image with Ideogram 4.0.
text_promptstringOptional

A natural-language prompt for image generation. When supplied, magic-prompt is enabled automatically. Mutually exclusive with json_prompt.

json_promptobjectOptional

A structured prompt that conforms to the Ideogram 4.0 JSON contract. When supplied, magic-prompt is disabled and the structured prompt is consumed by the diffusion model directly. Mutually exclusive with text_prompt.

resolutionenumOptional
The 2K resolutions supported for Ideogram 4.0 image generation.
rendering_speedenumOptionalDefaults to DEFAULT

The rendering speed to use. For Ideogram V4, rendering_speed=FLASH is coming soon; requests with rendering_speed=FLASH currently return a 400.

Allowed values:
enable_copyright_detectionboolean or nullOptional

Optional. Opt this request into post-generation copyright detection (Hive likeness + logo checks). The effective gate is the OR of this field and the organization’s copyright_detection_enabled setting on /api. See GenerateImageRequestV3 for details.

Response

Image(s) generated successfully.

createddatetime
The time the request was created.
datalist of objects

A list of ImageObjects that contain the generated image(s).

response_typeenum
Discriminator for the postGenerateDesignV4 oneOf response. Always "url" for this shape.
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error